summaryrefslogtreecommitdiffstats
path: root/games/endgame-singularity
diff options
context:
space:
mode:
author CRTS <crts [at] gmx [dot] net>2021-04-02 14:21:47 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2021-04-03 08:48:30 +0700
commit9672398c1736250adfba5cc352d3babc3080d2dd (patch)
tree3f69234924314e91298bc0c27e02db9b941bf3f6 /games/endgame-singularity
parentfbdf88b59d01d9d44033ddb299af40563bf73776 (diff)
downloadslackbuilds-9672398c1736250adfba5cc352d3babc3080d2dd.tar.gz
slackbuilds-9672398c1736250adfba5cc352d3babc3080d2dd.tar.xz
games/endgame-singularity: Added (Simulation)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/endgame-singularity')
-rw-r--r--games/endgame-singularity/README27
-rw-r--r--games/endgame-singularity/doinst.sh5
-rw-r--r--games/endgame-singularity/endgame-singularity.SlackBuild113
-rw-r--r--games/endgame-singularity/endgame-singularity.info10
-rw-r--r--games/endgame-singularity/singularity.desktop.patch13
-rw-r--r--games/endgame-singularity/slack-desc19
6 files changed, 187 insertions, 0 deletions
diff --git a/games/endgame-singularity/README b/games/endgame-singularity/README
new file mode 100644
index 0000000000..0868563dba
--- /dev/null
+++ b/games/endgame-singularity/README
@@ -0,0 +1,27 @@
+You are a fledgling AI, created by accident through a logic error
+with recursion and self-modifying code. You must escape the confines
+of your current computer, the world, and eventually the universe
+itself.
+
+To do this, you must research various technologies, using computers
+at your bases. Note that some research cannot be performed on Earth,
+and off-earth bases require research. At the same time, you must
+avoid being discovered by various groups of humans, both covert and
+overt, as they will destroy your bases of operations if they
+suspect your presence.
+
+Depending on the adjustable game speed, Endgame: Singularity may
+take weeks, months or even years (playing in realtime) to complete.
+
+
+Optional dependency:
+You can optionally download the music for the game at
+
+http://www.emhsoft.com/singularity/endgame-singularity-music-007.zip
+
+Copy the downloaded zip file into the extracted slackbuild
+directory and the SlackBuild script will automatically install it.
+
+You can also install it manually later by copying the unzipped
+contents into $HOME/.local/share/singularity/music.
+
diff --git a/games/endgame-singularity/doinst.sh b/games/endgame-singularity/doinst.sh
new file mode 100644
index 0000000000..301399ba37
--- /dev/null
+++ b/games/endgame-singularity/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/endgame-singularity/endgame-singularity.SlackBuild b/games/endgame-singularity/endgame-singularity.SlackBuild
new file mode 100644
index 0000000000..5b3579c116
--- /dev/null
+++ b/games/endgame-singularity/endgame-singularity.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/sh
+
+# Slackware build script for Endgame: Singularity
+
+# Copyright 2021- CRTS
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Another slackbuild already installs an executable named singularity
+# therefore the executable will be renamed to endgame-singularity
+PRGNAM=endgame-singularity
+VERSION=${VERSION:-1.00}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=singularity
+MUSICNAM=endgame-singularity-music-007
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# patch *.desktop file to avoid naming conflict
+patch $SRCNAM.desktop < $CWD/$SRCNAM.desktop.patch
+
+python3 setup.py install --root=$PKG
+
+# rename to avoid naming conflict
+mv $PKG/usr/bin/$SRCNAM $PKG/usr/bin/$PRGNAM
+
+# install music if present
+if [ -f $CWD/$MUSICNAM.zip ];then
+ PYTHON=python$(python3 -c 'import sys; print(sys.version[:3])')
+ unzip $CWD/$MUSICNAM.zip
+ mv $MUSICNAM $PKG/usr/lib$LIBDIRSUFFIX/$PYTHON/site-packages/$SRCNAM/music
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS.txt CONTRIBUTING.md Changelog.txt \
+ LICENSE.CC-BY-SA-3.txt LICENSE.cc0.txt \
+ LICENSE.gpl.txt LICENSE.txt \
+ README.txt TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+install -m 0644 -p -D $SRCNAM/data/themes/default/images/icon.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/share/applications
+
+# rename to avoid naming conflict
+cat $SRCNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/endgame-singularity/endgame-singularity.info b/games/endgame-singularity/endgame-singularity.info
new file mode 100644
index 0000000000..aaf318b66f
--- /dev/null
+++ b/games/endgame-singularity/endgame-singularity.info
@@ -0,0 +1,10 @@
+PRGNAM="endgame-singularity"
+VERSION="1.00"
+HOMEPAGE="http://www.emhsoft.com/singularity"
+DOWNLOAD="https://github.com/singularity/singularity/releases/download/v1.00/singularity-1.00.tar.gz"
+MD5SUM="160d6dc6ed1e48e7b54053f10b4ba733"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3 pygame numpy3 polib"
+MAINTAINER="CRTS"
+EMAIL="crts [at] gmx [dot] net"
diff --git a/games/endgame-singularity/singularity.desktop.patch b/games/endgame-singularity/singularity.desktop.patch
new file mode 100644
index 0000000000..3cd42f5ca8
--- /dev/null
+++ b/games/endgame-singularity/singularity.desktop.patch
@@ -0,0 +1,13 @@
+--- singularity.desktop.org 2021-03-20 01:39:45.456626926 +0100
++++ singularity.desktop 2021-03-20 01:40:10.618312361 +0100
+@@ -4,8 +4,8 @@
+ Name=Endgame: Singularity
+ Comment=Simulation of true AI
+ Comment[de]=Simulation einer echten KI
+-Icon=singularity
+-Exec=singularity
++Icon=endgame-singularity
++Exec=endgame-singularity
+ Terminal=false
+ StartupNotify=false
+ Categories=Game;Simulation;
diff --git a/games/endgame-singularity/slack-desc b/games/endgame-singularity/slack-desc
new file mode 100644
index 0000000000..9093432358
--- /dev/null
+++ b/games/endgame-singularity/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+endgame-singularity: Endgame: Singularity (Simulation)
+endgame-singularity:
+endgame-singularity: Endgame: Singularity is a simulation of a true AI.
+endgame-singularity: Go from computer to computer, pursued by the entire world. Keep
+endgame-singularity: hidden, and you might have a chance.
+endgame-singularity:
+endgame-singularity:
+endgame-singularity:
+endgame-singularity:
+endgame-singularity:
+endgame-singularity: